# Generated by Django 5.0.4 on 2024-10-20 02:46

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('courses', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnswerUserText',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('info_about_answers', models.CharField(max_length=1024, verbose_name='Ответы пользователя (через ;)')),
            ],
            options={
                'verbose_name': 'Текстовые ответы',
                'verbose_name_plural': 'Текстовые ответы',
            },
        ),
        migrations.CreateModel(
            name='AnswerUserFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to='', verbose_name='Файл с ответов')),
                ('course', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='courses.course', verbose_name='Курс')),
            ],
            options={
                'verbose_name': 'Ответ с файлом',
                'verbose_name_plural': 'Ответы с файлом',
            },
        ),
    ]
